# Uses of Class
org.apache.wiki.WikiEngine

Packages that use WikiEngine
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.attachment
Attachment management, uploading and downloading.
org.apache.wiki.search
Provides the JSPWiki search functionality.
org.apache.wiki.security

## Uses of WikiEngine in org.apache.wiki

Methods in org.apache.wiki that return WikiEngine
Modifier and Type
Method
Description
`WikiEngine`
WikiContext.`getEngine()`
Returns the handling engine.
`static WikiEngine`
WikiEngine.`getInstance(jakarta.servlet.ServletConfig config)`
Gets a WikiEngine related to this servlet.
`static WikiEngine`
WikiEngine.`getInstance(jakarta.servlet.ServletConfig config, Properties props)`
Gets a WikiEngine related to the servlet.
`static WikiEngine`
WikiEngine.`getInstance(jakarta.servlet.ServletContext context, Properties props)`
Gets a WikiEngine related to the servlet.
Constructors in org.apache.wiki with parameters of type WikiEngine
Modifier
Constructor
Description
``
`WikiPage(WikiEngine engine, String name)`
Deprecated.
kept for compatibility with page/attachment providers not using public API.

## Uses of WikiEngine in org.apache.wiki.attachment

Constructors in org.apache.wiki.attachment with parameters of type WikiEngine
Modifier
Constructor
Description
``
`Attachment(WikiEngine engine, String parentPage, String fileName)`
Deprecated.
kept for compatibility with page/attachment providers not using public API.

## Uses of WikiEngine in org.apache.wiki.search

Constructors in org.apache.wiki.search with parameters of type WikiEngine
Modifier
Constructor
Description
``
`SearchMatcher(WikiEngine engine, QueryItem[] queries)`
Deprecated.
kept for compatibility with page/attachment providers not using public API.

## Uses of WikiEngine in org.apache.wiki.security

Methods in org.apache.wiki.security with parameters of type WikiEngine
Modifier and Type
Method
Description
`static void`
AuditLogger.`initialize(WikiEngine engine)`